Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.12.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21884

Description

HI,

I have problem on QGIS 2.12.0 (OS X) with manualy placing labels on map (via labels toolbar) when labels are rule based. The same

layer with the same data but with standard labels works great and I can move labels manually via label move tool. Naturally I define X and

Y field for each label's rule.

When I manually change X Y fields value on table it works for rule based label but I can't use move label tool in that case.

History

#1 - 2015-11-21 01:08 PM - Nyall Dawson

- Subject changed from Custom position of label doesn't work with rule based labels to Move label tool doesn't work with rule based labels

#2 - 2015-11-29 03:15 PM - Sebastian Dietrich

Confirmed in master (commit:c14352fa551c1c6130908bed4d4c9abb82ecf1a3), on Windows.

#3 - 2016-06-09 01:00 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed for 2.16
